org.apache.ignite.configuration

## Class ClientConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.ClientConfiguration

- All Implemented Interfaces:
    Serializable

      public final class ClientConfiguration
      extends Object
      implements Serializable

  `TcpIgniteClient` configuration.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getAddresses()`
    `BinaryConfiguration` | `getBinaryConfiguration()`
    `int` | `getReceiveBufferSize()`
    `long` | `getReconnectThrottlingPeriod()` Gets reconnect throttling period.
    `int` | `getReconnectThrottlingRetries()` Gets reconnect throttling retries.
    `int` | `getSendBufferSize()`
    `String` | `getSslClientCertificateKeyStorePassword()`
    `String` | `getSslClientCertificateKeyStorePath()`
    `String` | `getSslClientCertificateKeyStoreType()`
    `javax.cache.configuration.Factory<SSLContext>` | `getSslContextFactory()`
    `String` | `getSslKeyAlgorithm()`
    `SslMode` | `getSslMode()`
    `SslProtocol` | `getSslProtocol()`
    `String` | `getSslTrustCertificateKeyStorePassword()`
    `String` | `getSslTrustCertificateKeyStorePath()`
    `String` | `getSslTrustCertificateKeyStoreType()`
    `int` | `getTimeout()`
    `ClientTransactionConfiguration` | `getTransactionConfiguration()` Gets transactions configuration.
    `Map<String,String>` | `getUserAttributes()` Returns user attributes which can be used on server node.
    `String` | `getUserName()`
    `String` | `getUserPassword()`
    `boolean` | `isPartitionAwarenessEnabled()`
    `boolean` | `isSslTrustAll()`
    `boolean` | `isTcpNoDelay()`
    `ClientConfiguration` | `setAddresses(String... addrs)`
    `ClientConfiguration` | `setBinaryConfiguration(BinaryConfiguration binaryCfg)`
    `ClientConfiguration` | `setPartitionAwarenessEnabled(boolean partitionAwarenessEnabled)` Enable or disable partition awareness.
    `ClientConfiguration` | `setReceiveBufferSize(int rcvBufSize)`
    `ClientConfiguration` | `setReconnectThrottlingPeriod(long reconnectThrottlingPeriod)` Sets reconnect throttling period.
    `ClientConfiguration` | `setReconnectThrottlingRetries(int reconnectThrottlingRetries)` Sets reconnect throttling retries.
    `ClientConfiguration` | `setSendBufferSize(int sndBufSize)`
    `ClientConfiguration` | `setSslClientCertificateKeyStorePassword(String newVal)`
    `ClientConfiguration` | `setSslClientCertificateKeyStorePath(String newVal)`
    `ClientConfiguration` | `setSslClientCertificateKeyStoreType(String newVal)`
    `ClientConfiguration` | `setSslContextFactory(javax.cache.configuration.Factory<SSLContext> newVal)`
    `ClientConfiguration` | `setSslKeyAlgorithm(String newVal)`
    `ClientConfiguration` | `setSslMode(SslMode sslMode)`
    `ClientConfiguration` | `setSslProtocol(SslProtocol newVal)`
    `ClientConfiguration` | `setSslTrustAll(boolean newVal)`
    `ClientConfiguration` | `setSslTrustCertificateKeyStorePassword(String newVal)`
    `ClientConfiguration` | `setSslTrustCertificateKeyStorePath(String newVal)`
    `ClientConfiguration` | `setSslTrustCertificateKeyStoreType(String newVal)`
    `ClientConfiguration` | `setTcpNoDelay(boolean tcpNoDelay)`
    `ClientConfiguration` | `setTimeout(int timeout)`
    `ClientConfiguration` | `setTransactionConfiguration(ClientTransactionConfiguration txCfg)` Sets transactions configuration.
    `ClientConfiguration` | `setUserAttributes(Map<String,String> userAttrs)` Sets user attributes which can be used to send additional info to the server nodes.
    `ClientConfiguration` | `setUserName(String newVal)`
    `ClientConfiguration` | `setUserPassword(String newVal)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientConfiguration

          public ClientConfiguration()

  - ### Method Detail

    - #### getAddresses

          public String[] getAddresses()

      Returns:
        Host addresses.

    - #### setAddresses

          public ClientConfiguration setAddresses(String... addrs)

      Parameters:
        `addrs` - Host addresses.

    - #### isTcpNoDelay

          public boolean isTcpNoDelay()

      Returns:
        Whether Nagle's algorithm is enabled.

    - #### setTcpNoDelay

          public ClientConfiguration setTcpNoDelay(boolean tcpNoDelay)

      Parameters:
        `tcpNoDelay` - whether Nagle's algorithm is enabled.

    - #### getTimeout

          public int getTimeout()

      Returns:
        Send/receive timeout in milliseconds.

    - #### setTimeout

          public ClientConfiguration setTimeout(int timeout)

      Parameters:
        `timeout` - Send/receive timeout in milliseconds.

    - #### getSendBufferSize

          public int getSendBufferSize()

      Returns:
        Send buffer size.

    - #### setSendBufferSize

          public ClientConfiguration setSendBufferSize(int sndBufSize)

      Parameters:
        `sndBufSize` - Send buffer size.

    - #### getReceiveBufferSize

          public int getReceiveBufferSize()

      Returns:
        Send buffer size.

    - #### setReceiveBufferSize

          public ClientConfiguration setReceiveBufferSize(int rcvBufSize)

      Parameters:
        `rcvBufSize` - Send buffer size.

    - #### getBinaryConfiguration

          public BinaryConfiguration getBinaryConfiguration()

      Returns:
        Configuration for Ignite Binary objects.

    - #### setBinaryConfiguration

          public ClientConfiguration setBinaryConfiguration(BinaryConfiguration binaryCfg)

      Parameters:
        `binaryCfg` - Configuration for Ignite Binary objects.

    - #### getSslMode

          public SslMode getSslMode()

      Returns:
        SSL mode.

    - #### setSslMode

          public ClientConfiguration setSslMode(SslMode sslMode)

      Parameters:
        `sslMode` - SSL mode.

    - #### getSslClientCertificateKeyStorePath

          public String getSslClientCertificateKeyStorePath()

      Returns:
        Ssl client certificate key store path.

    - #### setSslClientCertificateKeyStorePath

          public ClientConfiguration setSslClientCertificateKeyStorePath(String newVal)

      Parameters:
        `newVal` - Ssl client certificate key store path.

    - #### getSslClientCertificateKeyStorePassword

          public String getSslClientCertificateKeyStorePassword()

      Returns:
        Ssl client certificate key store password.

    - #### setSslClientCertificateKeyStorePassword

          public ClientConfiguration setSslClientCertificateKeyStorePassword(String newVal)

      Parameters:
        `newVal` - Ssl client certificate key store password.

    - #### getSslClientCertificateKeyStoreType

          public String getSslClientCertificateKeyStoreType()

      Returns:
        Ssl client certificate key store type.

    - #### setSslClientCertificateKeyStoreType

          public ClientConfiguration setSslClientCertificateKeyStoreType(String newVal)

      Parameters:
        `newVal` - Ssl client certificate key store type.

    - #### getSslTrustCertificateKeyStorePath

          public String getSslTrustCertificateKeyStorePath()

      Returns:
        Ssl trust certificate key store path.

    - #### setSslTrustCertificateKeyStorePath

          public ClientConfiguration setSslTrustCertificateKeyStorePath(String newVal)

      Parameters:
        `newVal` - Ssl trust certificate key store path.

    - #### getSslTrustCertificateKeyStorePassword

          public String getSslTrustCertificateKeyStorePassword()

      Returns:
        Ssl trust certificate key store password.

    - #### setSslTrustCertificateKeyStorePassword

          public ClientConfiguration setSslTrustCertificateKeyStorePassword(String newVal)

      Parameters:
        `newVal` - Ssl trust certificate key store password.

    - #### getSslTrustCertificateKeyStoreType

          public String getSslTrustCertificateKeyStoreType()

      Returns:
        Ssl trust certificate key store type.

    - #### setSslTrustCertificateKeyStoreType

          public ClientConfiguration setSslTrustCertificateKeyStoreType(String newVal)

      Parameters:
        `newVal` - Ssl trust certificate key store type.

    - #### getSslKeyAlgorithm

          public String getSslKeyAlgorithm()

      Returns:
        Ssl key algorithm.

    - #### setSslKeyAlgorithm

          public ClientConfiguration setSslKeyAlgorithm(String newVal)

      Parameters:
        `newVal` - Ssl key algorithm.

    - #### isSslTrustAll

          public boolean isSslTrustAll()

      Returns:
        Flag indicating if certificate validation errors should be ignored.

    - #### setSslTrustAll

          public ClientConfiguration setSslTrustAll(boolean newVal)

      Parameters:
        `newVal` - Flag indicating if certificate validation errors should be ignored.

    - #### getSslProtocol

          public SslProtocol getSslProtocol()

      Returns:
        Ssl protocol.

    - #### setSslProtocol

          public ClientConfiguration setSslProtocol(SslProtocol newVal)

      Parameters:
        `newVal` - Ssl protocol.

    - #### getUserName

          public String getUserName()

      Returns:
        User name.

    - #### setUserName

          public ClientConfiguration setUserName(String newVal)

      Parameters:
        `newVal` - User name.

    - #### getUserPassword

          public String getUserPassword()

      Returns:
        User password.

    - #### setUserPassword

          public ClientConfiguration setUserPassword(String newVal)

      Parameters:
        `newVal` - User password.

    - #### getSslContextFactory

          public javax.cache.configuration.Factory<SSLContext> getSslContextFactory()

      Returns:
        SSL Context Factory.

    - #### setSslContextFactory

          public ClientConfiguration setSslContextFactory(javax.cache.configuration.Factory<SSLContext> newVal)

      Parameters:
        `newVal` - SSL Context Factory.

    - #### getTransactionConfiguration

          public ClientTransactionConfiguration getTransactionConfiguration()

      Gets transactions configuration.
      Returns:
        Transactions configuration.

    - #### setTransactionConfiguration

          public ClientConfiguration setTransactionConfiguration(ClientTransactionConfiguration txCfg)

      Sets transactions configuration.
      Returns:
        `this` for chaining.

    - #### isPartitionAwarenessEnabled

          public boolean isPartitionAwarenessEnabled()

      Returns:
        Whether partition awareness should be enabled.

    - #### setPartitionAwarenessEnabled

          public ClientConfiguration setPartitionAwarenessEnabled(boolean partitionAwarenessEnabled)

      Enable or disable partition awareness.
      Returns:
        `this` for chaining.

    - #### getReconnectThrottlingPeriod

          public long getReconnectThrottlingPeriod()

      Gets reconnect throttling period.

    - #### setReconnectThrottlingPeriod

          public ClientConfiguration setReconnectThrottlingPeriod(long reconnectThrottlingPeriod)

      Sets reconnect throttling period.
      Returns:
        `this` for chaining.

    - #### getReconnectThrottlingRetries

          public int getReconnectThrottlingRetries()

      Gets reconnect throttling retries.

    - #### setReconnectThrottlingRetries

          public ClientConfiguration setReconnectThrottlingRetries(int reconnectThrottlingRetries)

      Sets reconnect throttling retries.
      Returns:
        `this` for chaining.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getUserAttributes

          public Map<String,String> getUserAttributes()

      Returns user attributes which can be used on server node.
      Returns:
        User attributes.

    - #### setUserAttributes

          public ClientConfiguration setUserAttributes(Map<String,String> userAttrs)

      Sets user attributes which can be used to send additional info to the server nodes. Sent attributes can be accessed on server nodes from `GridRestRequest` or `ClientListenerAbstractConnectionContext` (depends on client type).
      Parameters:
        `userAttrs` - User attributes.
      Returns:
        `this` for chaining.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020